# Generated from two_factor_devices-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name two_factor_devices

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Ability to configure devices for OTP code transmission
License: MIT
URL: https://gitlab.touchplus.ie/foss/two_factor_devices
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(factory_bot_rails) >= 6.1.0
# BuildRequires: rubygem(factory_bot_rails) < 6.2
# BuildRequires: rubygem(rspec-rails) >= 3.0.1
# BuildRequires: rubygem(rubocop) >= 1.11
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 2.2
# BuildRequires: rubygem(rubocop-rspec) < 3
BuildArch: noarch

%description
Allow to configure devices for otp code transmission.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/two_factor_devices.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.1-1
- Initial package
